.block-product-card {
  position: relative;
}

.block-product-card.product-card-style--card {
  background-color: rgb(var(--color-card-background));
}

.block-product-card.product-card-style--card .block-product-price,
.block-product-card.product-card-style--card .block-product-title {
  padding-inline: 8px;
}

.block-product-card,
.product-card-border-shadow {
  transition:
    transform 220ms ease,
    box-shadow 220ms ease,
    border-color 220ms ease;
}

.block-product-card.product-card-style--card {
  overflow: hidden;
  border-radius: var(--card-border-radius);
}

.block-product-card__image-wrapper {
  transition:
    background-color 220ms ease,
    transform 220ms ease;
}

.block-product-card__image-wrapper > .block-product-card__image {
  backface-visibility: hidden;
  transition:
    opacity 500ms ease,
    transform 500ms ease;
}

@media (min-width: 960px) {
  .block-product-card:hover .block-product-card__image-wrapper > .block-product-card__image {
    transform: scale(1.015);
  }
}
